Subject: Re: [PATCH]sk98lin ethtool support

From: Jeff Garzik <[email-masked]>
Date: Tue, 30 Dec 2003 19:23:41 -0500

Mirko Lindner wrote:
> Jeff Garzik wrote:
> 
>> Mirko Lindner wrote:
>>
>>> Thanks. I'll complete the support as soon I'm back in the office. All 
>>> driver statistics are also available in the the proc system under 
>>> /proc/net/sk98lin/
>>
>>
>>
>>
>> procfs statistics are deprecated...
>>
>>     Jeff
> 
> 
> Jeff,
> 
> the proc statistics are integrated in the driver since kernel 2.2. I'll 

Well, understood, but we don't need vendor-specific, non-standard 
statistics when there is a standard method to export these statistics 
(ETHTOOl_GSTATS).

> include full support for ethtool as soon I've time to do this. At the 
> moment I'm still working on a support for the upcoming Marvell chipset 
> (it would be great to support Linux as soon the chip is availiable) and 
> a Diag-Tool for all Genesis and Yukon based cards (GUI and console tool).

Make sure you don't duplicate any ethtool functions.  We don't need a 
NIC-specific diag tool either ;-)  ethtool is the preferred method 
moving forward, as it's already shipping in most Linux distros.

	Jeff